# -*- rpm-spec -*-

Summary: Virtual Machine Monitoring Scripts
Name: xe-guest-utilities
Version: 5.6.0
Release: 578
License: GPL/LGPL
Group: Xen
URL: http://www.citrix.com
Vendor: Citrix Systems, Inc.
Source0: xe-linux-distribution
Source1: xe-linux-distribution.init
Source2: xe-update-guest-attrs
Source3: xe-daemon
Source4: xenstore.tar.bz2
Source5: Citrix.repo
Source8: COPYING
Source9: COPYING.LGPL
Source10: xen-vcpu-hotplug.rules
# xenstore-sources is not actually used, prebuilt binaries are used from above.
Source99: xenstore-sources.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: /usr/bin/xenstore /usr/bin/xenstore-read
Obsoletes: xengmond

%description
Scripts for monitoring Virtual Machines.

Writes distribution version information and IP address to XenStore.

%package xenstore
Summary: Virtual Machine XenStore utilities
Group: Xen
%description xenstore
Utilities for interacting with XenStore from with a Xen virtual machine

%prep
# Nothing to do
%build
# Nothing to do

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/usr/sbin/
mkdir -p %{buildroot}/usr/share/doc/%{name}-%{version}/examples/
mkdir -p %{buildroot}/etc/init.d
mkdir -p %{buildroot}/etc/udev/rules.d

cp %{SOURCE0} %{buildroot}/usr/sbin/xe-linux-distribution
chmod 755 %{buildroot}/usr/sbin/xe-linux-distribution

cp %{SOURCE1} %{buildroot}/etc/init.d/xe-linux-distribution
chmod 755 %{buildroot}/etc/init.d/xe-linux-distribution

cp %{SOURCE2} %{buildroot}/usr/sbin/xe-update-guest-attrs
chmod 755 %{buildroot}/usr/sbin/xe-update-guest-attrs

cp %{SOURCE3} %{buildroot}/usr/sbin/xe-daemon
chmod 755 %{buildroot}/usr/sbin/xe-daemon

tar -C %{buildroot} -xjf %{SOURCE4}
rm %{buildroot}/usr/bin/xeninfo

cp %{SOURCE5} %{buildroot}/usr/share/doc/%{name}-%{version}/examples/

cp %{SOURCE10} %{buildroot}/etc/udev/rules.d/z10-xen-vcpu-hotplug.rules

cp %{SOURCE8} %{buildroot}/usr/share/doc/%{name}-%{version}/

mkdir -p %{buildroot}/usr/share/doc/%{name}-xenstore-%{version}
cp %{SOURCE8} %{buildroot}/usr/share/doc/%{name}-xenstore-%{version}/
cp %{SOURCE9} %{buildroot}/usr/share/doc/%{name}-xenstore-%{version}/

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add xe-linux-distribution >/dev/null
[ -n "${EXTERNAL_P2V}" ] || service xe-linux-distribution start >/dev/null 2>&1

eval $(/usr/sbin/xe-linux-distribution)

if [ -d /etc/yum.repos.d ] && [ -n "${os_distro}" ] && [ -n "${os_majorver}" ] ; then
    distro="${os_distro}${os_majorver}x"
    case "${distro}" in
    rhel4x|centos4x)
        if [ -f /etc/yum.repos.d/XenSource.repo ] ; then
            rm -f /etc/yum.repos.d/XenSource.repo # contains deprecated urls
        fi
        sed -e "s/@DISTRO@/${distro}/g" \
            < /usr/share/doc/%{name}-%{version}/examples/Citrix.repo \
            > /etc/yum.repos.d/Citrix.repo
        ;;
    rhel3x|rhel5x|centos5x|oracle5x) # No vendor kernel any more. Remove Citrix.repo
        if [ -f /etc/yum.repos.d/Citrix.repo ] ; then
            rm -f /etc/yum.repos.d/Citrix.repo
        fi
        ;;
    *) ;;
    esac
fi

%preun
if [ $1 -eq 0 ] ; then
    service xe-linux-distribution stop >/dev/null 2>&1
    /sbin/chkconfig --del xe-linux-distribution >/dev/null
    rm -f /etc/yum.repos.d/Citrix.repo || /bin/true
fi

%files 
%defattr(-,root,root,-)
/usr/sbin/xe-linux-distribution
/etc/init.d/xe-linux-distribution
/usr/sbin/xe-update-guest-attrs
/usr/sbin/xe-daemon
/etc/udev/rules.d/z10-xen-vcpu-hotplug.rules
/usr/share/doc/%{name}-%{version}/examples/Citrix.repo
/usr/share/doc/%{name}-%{version}/COPYING

%files xenstore
%defattr(-,root,root,-)
/usr/bin/xenstore-ls
/usr/bin/xenstore-rm
/usr/bin/xenstore-exists
/usr/bin/xenstore-list
/usr/bin/xenstore-read
/usr/bin/xenstore-chmod
/usr/bin/xenstore-write
/usr/bin/xenstore
/usr/share/doc/%{name}-xenstore-%{version}/COPYING
/usr/share/doc/%{name}-xenstore-%{version}/COPYING.LGPL

%changelog
* Tue Jun 5 2007  <citrix.com>
- Xen monitor scripts
